/**************************************************************************************
*
*	HFileUtils - part of HistoryHappens
*	 2000 James Dessart
*
**************************************************************************************/

#include "HFileUtils.h"

FSSpec GetCurrentApplicationFSSpec()
{
	OSErr				theErr;
	ProcessInfoRec		theProcess;
	ProcessSerialNumber	thePSN;
	FSSpec				myFSSpec;
	
	theErr = GetCurrentProcess(&thePSN);
	if(theErr==noErr)
	{
		theProcess.processInfoLength = sizeof(ProcessInfoRec);
		theProcess.processName = NULL;
		theProcess.processAppSpec = &myFSSpec;
		theErr = GetProcessInformation(&thePSN,&theProcess);
		if(theErr==noErr)
		{
			return myFSSpec;
		}
		else	// I can't think of any reason why the PSN I just got would be bad
			return myFSSpec;
	}
	else	// According to the docs, this should never happen...
		return myFSSpec;
}
