#include "SRObject.h"
#include "SRGameObject.h"

SRObject::SRObject()
{
    fX = fY 
        = fVelocityX = fVelocityY 
        = fAccelX = fAccelY 
        = fWidth = fHeight = 0;
    if(SRGameObject::instance->gameObjectList() != 0)
        SRGameObject::instance->gameObjectList()->add(this);
}

SRObject::~SRObject()
{
    // leave out as long as using fList->remove in SRGameObject::Think and ::Recycle
    //SRGameObject::instance->gameObjectList()->remove(this);
}

void SRObject::Move()
{
    fVelocityX += fAccelX;
    fVelocityY += fAccelY;
    
    fX += fVelocityX;
    fY += fVelocityY;
}