#ifndef __SR_STAR_H__
#define __SR_STAR_H__

#include "SRObject.h"
#include "SRObjectTypes.h"

#define     kNumStars       25
#define     kMaxStarSpeed   2
#define     kColorShift     1000

class SRStar : public SRObject
{
public:
    SRStar( int x, int y, RGBColor starColor );
    ~SRStar();
    
    virtual void Draw();
    virtual void Think();
    virtual bool Hit( SRObject * ) { return false; }
    virtual int Type() { return kStarfieldType; }
    
protected:
    RGBColor    fStarColor;
};

#endif // __SR_STAR_H__