#ifndef __HANDLERS_H__
#define __HANDLERS_H__

#ifdef __APPLE__
#include <Carbon/Carbon.h>
#endif

pascal OSErr QuitAppleEventHandler(const AppleEvent *appleEvt, AppleEvent* reply, long refcon);
pascal OSStatus AppCommandHandler(EventHandlerCallRef nextHandler, EventRef theEvent, void* userData);
pascal OSStatus WindowEventHandler(EventHandlerCallRef nextHandler, EventRef theEvent, void* userData);
pascal void TimerHandler(EventLoopTimerRef theEvent, void* userData);
pascal OSStatus KeyHandler(EventHandlerCallRef nextHandler, EventRef theEvent, void* userData);
pascal OSStatus MenuTrackHandler(EventHandlerCallRef nextHandler, EventRef theEvent, void* userData);

void InstallEventHandlers();
void About();
void SetPauseItem();
void SetMusicItem();

#define     kAboutCommand       'abou'
#define     kPauseCommand       'paus'
#define     kNewGameCommand     'newg'
#define     kMusicCommand       'musi'

#define     kAboutAlert         129

#endif // __HANDLERS_H__