#include "SREnemy1Sprite.h"

// Keep your nose out of debugging code! :)

SREnemy1Sprite::SREnemy1Sprite( int startingID ) : SRIconSprite(0),
    fIconSwitchTimer(kSwitchCountdown), fIsIconOne(true)
{
    fIcon1 = GetCIcon( startingID + kIconOneID );
    fIcon2 = GetCIcon( startingID + kIconTwoID );
    
    fX = 64;
    fY = 64;
    
    fWidth = fHeight = 20;
}

SREnemy1Sprite::~SREnemy1Sprite()
{
    DisposeCIcon(fIcon1);
    DisposeCIcon(fIcon2);
}
    
void SREnemy1Sprite::Think()
{
    if( fIconSwitchTimer > 0 ) fIconSwitchTimer--;
    else
    {
        fIconSwitchTimer = kSwitchCountdown;
        if(fIsIconOne)
            fCurrentIcon = fIcon1;
        else
            fCurrentIcon = fIcon2;
        
        fIsIconOne = !fIsIconOne;
    }
}

bool SREnemy1Sprite::Hit( SRObject * )
{
    SysBeep(1);
    return false;
}
